## kstars 3.5.7

=== CMakeLists.txt ===
PROJECT(kstars CXX C)
set (KStars_VERSION_MAJOR 3)
set (KStars_VERSION_MINOR 5)
set (KStars_VERSION_REVISION 7)
set (KSTARS_BUILD_RELEASE "Stable")
set (CMAKE_CXX_STANDARD 14)

set(QT_MIN_VERSION 5.9.0)
set(KF5_MIN_VERSION 5.44.0)

# Build KStars Lite with -DBUILD_KSTARS_LITE=ON
option(BUILD_KSTARS_LITE "Build KStars Lite" OFF)

# Build KStars documentation
option(BUILD_DOC "Build Documentation" ON)

# Fetch translations with -DFETCH_TRANSLATIONS=ON
option(FETCH_TRANSLATIONS "Fetch Translations" OFF)

# Build the Python bindings for the SkyMesh indexation
option(BUILD_PYKSTARS "Build SkyMesh Python Bindings" OFF)

# minimal requirements
cmake_minimum_required (VERSION 3.10.0 FATAL_ERROR)

# KStars Timestap build
string(TIMESTAMP KSTARS_BUILD_TS UTC)

# add EVERYTHING to the compile commands
if(CMAKE_EXPORT_COMPILE_COMMANDS)
  set(CMAKE_CXX_STANDARD_INCLUDE_DIRECTORIES
    ${CMAKE_CXX_IMPLICIT_INCLUDE_DIRECTORIES})
endif()

# For KStars Lite, we ALWAYS need to fetch translations
if(BUILD_KSTARS_LITE)
    SET(FETCH_TRANSLATIONS ON)
endif()

# Set options for fetching translations
if (FETCH_TRANSLATIONS)
SET(KDE_L10N_AUTO_TRANSLATIONS ON)
SET(KDE_L10N_BRANCH "trunk")
endif()

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

# Ccache support
IF (ANDROID OR UNIX OR APPLE)
    FIND_PROGRAM(CCACHE_FOUND ccache)
    SET(CCACHE_SUPPORT OFF CACHE BOOL "Enable ccache support")
    IF ((CCACHE_FOUND OR ANDROID) AND CCACHE_SUPPORT MATCHES ON)
        SET_PROPERTY(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
        SET_PROPERTY(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
    ENDIF ()
ENDIF ()

if(CMAKE_SYSTEM_NAME STREQUAL Android)
    add_definitions(-DANDROID -D__STDC_LIMIT_MACROS)
    set(ANDROID TRUE)
endif()

if("${CMAKE_TOOLCHAIN_FILE}" MATCHES "android.toolchain.cmake$")
    include(${CMAKE_BINARY_DIR}/kf5/kde/install/share/ECM/cmake/ECMConfig.cmake)
endif()

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})

if(BUILD_KSTARS_LITE)
    if("${CMAKE_TOOLCHAIN_FILE}" MATCHES "android.toolchain.cmake$")
        set(QT_ANDROID $ENV{QT_ANDROID})
        set(Qt5Core_DIR "${QT_ANDROID}/lib/cmake/Qt5Core")
        set(Qt5Gui_DIR "${QT_ANDROID}/lib/cmake/Qt5Gui")
        set(Qt5Network_DIR "${QT_ANDROID}/lib/cmake/Qt5Network")
        set(Qt5Positioning_DIR "${QT_ANDROID}/lib/cmake/Qt5Positioning")
        set(Qt5Qml_DIR "${QT_ANDROID}/lib/cmake/Qt5Qml")
        set(Qt5Quick_DIR "${QT_ANDROID}/lib/cmake/Qt5Quick")
        set(Qt5Widgets_DIR "${QT_ANDROID}/lib/cmake/Qt5Widgets")
        include(${QT_ANDROID}/lib/cmake/Qt5/Qt5Config.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Core/Qt5CoreConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Gui/Qt5GuiConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Qml/Qt5QmlConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Quick/Qt5QuickConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5QuickControls2/Qt5QuickControls2Config.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Xml/Qt5XmlConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Svg/Qt5SvgConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Sql/Qt5SqlConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Network/Qt5NetworkConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Positioning/Qt5PositioningConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5PositioningQuick/Qt5PositioningQuickConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Concurrent/Qt5ConcurrentConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5AndroidExtras/Qt5AndroidExtrasConfig.cmake)
    else()
        if(ANDROID)
            list(APPEND QT_EXTRA_COMPONENTS AndroidExtras)
        else()
            list(APPEND QT_EXTRA_COMPONENTS PrintSupport)
        endif()
        find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Gui Qml Quick QuickControls2 Xml Svg Sql Network Positioning PositioningQuick Concurrent WebSockets ${QT_EXTRA_COMPONENTS})
    endif()
else()
    #find_package(Qt5 5.4 REQUIRED COMPONENTS Gui Qml Quick Xml Sql Svg Network PrintSupport Positioning Concurrent)
    find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Gui Qml Quick Xml Sql Svg Network PrintSupport Concurrent WebSockets)
endif()
include(ExternalProject)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(KDEInstallDirs)
include(MacroBoolTo01)
include(ECMQtDeclareLoggingCategory)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)

# Load the frameworks we need
if(BUILD_KSTARS_LITE)
    if("${CMAKE_TOOLCHAIN_FILE}" MATCHES "android.toolchain.cmake$")
        set(KF5_VERSION 5.28.0)
        set(KF5_HOST_TOOLING /usr/lib/x86_64-linux-gnu/cmake/)
        include(${CMAKE_BINARY_DIR}/kf5/kde/install/lib/cmake/KF5Config/KF5ConfigConfig.cmake)
        include(${CMAKE_BINARY_DIR}/kf5/kde/install/lib/cmake/KF5I18n/KF5I18nConfig.cmake)
        include(${CMAKE_BINARY_DIR}/kf5/kde/install/lib/cmake/KF5Plotting/KF5PlottingConfig.cmake)
    else()
        # Find Optional package NotifyConfig for desktop notifications
        find_package(KF5 ${KF5_MIN_VERSION} COMPONENTS NotifyConfig)
        MACRO_BOOL_TO_01(KF5NotifyConfig_FOUND HAVE_NOTIFYCONFIG)

        find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Auth Config Crash WidgetsAddons NewStuff I18n KIO XmlGui Plotting Notifications)
    endif()
else(BUILD_KSTARS_LITE)
    # Find Optional package NotifyConfig for desktop notifications
    find_package(KF5 ${KF5_MIN_VERSION} COMPONENTS NotifyConfig)
    MACRO_BOOL_TO_01(KF5NotifyConfig_FOUND HAVE_NOTIFYCONFIG)

    find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
      Auth
      Config
      Crash
      DocTools
      WidgetsAddons
      NewStuff
      I18n
      KIO
      XmlGui
      Plotting
      Notifications
    )
endif(BUILD_KSTARS_LITE)

## Eigen3 Library
find_package(Eigen3 REQUIRED)
add_definitions(${EIGEN_DEFINITIONS})
include_directories(SYSTEM ${EIGEN3_INCLUDE_DIR})

## CFITSIO Library
if(ANDROID)
    if("${CMAKE_TOOLCHAIN_FILE}" MATCHES "android.toolchain.cmake$")
        set(extra_cmake "-DM_LIB=-lm")
    endif()

    find_program(DOS2UNIX dos2unix)
    if (NOT DOS2UNIX)
        message(FATAL_ERROR "Could not find dos2unix")
    endif()

    externalproject_add(cfitsio SOURCE_DIR "${CMAKE_BINARY_DIR}/packaging/android/3rdparty/cfitsio"
        URL https://heasarc.gsfc.nasa.gov/FTP/software/fitsio/c/cfitsio3370.tar.gz
        PATCH_COMMAND bash -c "cd ${CMAKE_BINARY_DIR}/packaging/android/3rdparty/cfitsio && ${DOS2UNIX} ${CMAKE_BINARY_DIR}/packaging/android/3rdparty/cfitsio/CMakeLists.txt && patch -p1 < ${CMAKE_SOURCE_DIR}/packaging/android/3rdparty/cfitsio.patch"
        CMAKE_ARGS -DCMAKE_TOOLCHAIN_FILE=${CMAKE_TOOLCHAIN_FILE} -DBUILD_SHARED_LIBS=OFF -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE} ${extra_cmake}
        BUILD_COMMAND make cfitsio
        BUILD_IN_SOURCE 1
        INSTALL_COMMAND "")

    set(CFITSIO_FOUND TRUE)
    set(CFITSIO_INCLUDE_DIR PUBLIC ${CMAKE_BINARY_DIR}/packaging/android/3rdparty/cfitsio)
    set(CFITSIO_LIBRARIES ${CMAKE_BINARY_DIR}/packaging/android/3rdparty/cfitsio/libcfitsio.a)
else()
    if(BUILD_KSTARS_LITE)
        find_package(CFitsio REQUIRED)
    else()
        find_package(CFitsio)
    endif()
endif()
MACRO_BOOL_TO_01(CFITSIO_FOUND HAVE_CFITSIO)
set_package_properties(CFitsio PROPERTIES DESCRIPTION "FITS IO Library" URL "https://heasarc.gsfc.nasa.gov/fitsio/fitsio.html" TYPE OPTIONAL PURPOSE "Support for the FITS (Flexible Image Transport System) data format in KStars.")

## INDI Library
if (ANDROID)
    set(QT_ANDROID $ENV{QT_ANDROID})
    if("${CMAKE_TOOLCHAIN_FILE}" MATCHES "android.toolchain.cmake$")
        set(extra_cmake -DCMAKE_AR=${ANDROID_NDK}/toolchains/llvm/prebuilt/linux-x86_64/bin/llvm-ar)
    endif()
    externalproject_add(indi SOURCE_DIR "${CMAKE_BINARY_DIR}/packaging/android/indi"
        URL https://github.com/indilib/indi/archive/master.zip
        CONFIGURE_COMMAND cmake . -DCMAKE_TOOLCHAIN_FILE=${CMAKE_TOOLCHAIN_FILE} -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE} \\
             -DINDI_BUILD_POSIX_CLIENT=OFF -DINDI_BUILD_SERVER=OFF -DINDI_BUILD_DRIVERS=OFF -DINDI_BUILD_UNITTESTS=OFF \\
             -DINDI_BUILD_DRIVERS=OFF -DINDI_BUILD_QT5_CLIENT=ON -DINDI_CALCULATE_MINMAX=ON \\
             -DCFITSIO_DIR=${CMAKE_BINARY_DIR}/packaging/android/3rdparty/cfitsio -DQT_ANDROID=${QT_ANDROID} -DCMAKE_PREFIX_PATH=${QT_ANDROID} ${extra_cmake}
        BUILD_COMMAND make
        BUILD_IN_SOURCE 1
        INSTALL_COMMAND "")

    set(INDI_FOUND TRUE)
    set(INDI_INCLUDE_DIR ${CMAKE_BINARY_DIR}/packaging/android/indi/libs/indibase ${CMAKE_BINARY_DIR}/packaging/android/indi ${CMAKE_BINARY_DIR}/packaging/android/indi/libs)
    set(INDI_CLIENT_ANDROID_LIBRARIES ${CMAKE_BINARY_DIR}/packaging/android/indi/libindiclientqt.a)
else ()
    find_package(INDI 1.9.1)
endif ()
MACRO_BOOL_TO_01(INDI_FOUND HAVE_INDI)
set_package_properties(INDI PROPERTIES DESCRIPTION "Astronomical instrumentation control" URL "https://www.indilib.org" TYPE OPTIONAL PURPOSE "Support for controlling astronomical devices on Linux with KStars.")

if (INDI_FOUND AND NOT ANDROID)
    find_package(StellarSolver REQUIRED)
endif(INDI_FOUND AND NOT ANDROID)
MACRO_BOOL_TO_01(StellarSolver_FOUND HAVE_STELLARSOLVER)

find_package(Nova)
MACRO_BOOL_TO_01(NOVA_FOUND HAVE_LIBNOVA)
if (NOVA_FOUND)
    include_directories(${NOVA_INCLUDE_DIR})
endif()

if(BUILD_TESTING)
    # Find liberfa, which we check our computation against
    find_package(ERFA)
    MACRO_BOOL_TO_01(ERFA_FOUND HAVE_LIBERFA)
    set_package_properties(ERFA PROPERTIES TYPE OPTIONAL PURPOSE "BSD-compatible version of SOFA, used to test core computations of KStars (only needed by tests)")
endif ()

## Libraw
if(BUILD_KSTARS_LITE AND ANDROID)
    # OpenMP needed for LibRaw
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fopenmp -DLIBRAW_USE_OPENMP")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fopenmp -DLIBRAW_USE_OPENMP")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lgomp")

    externalproject_add(raw SOURCE_DIR "${CMAKE_BINARY_DIR}/packaging/android/3rdparty/libraw"
        URL https://www.libraw.org/data/LibRaw-0.17.2.tar.gz
        PATCH_COMMAND bash -c "cd ${CMAKE_BINARY_DIR}/packaging/android/3rdparty/libraw && wget -qO- https://github.com/LibRaw/LibRaw-cmake/archive/master.zip | jar xvf /dev/stdin && rm -rf cmake && mv -f LibRaw-cmake-master/CMakeLists.txt LibRaw-cmake-master/cmake . && patch -p1 < ${CMAKE_SOURCE_DIR}/packaging/android/3rdparty/libraw.patch"
        CMAKE_ARGS -DCMAKE_TOOLCHAIN_FILE=${CMAKE_TOOLCHAIN_FILE} -DBUILD_SHARED_LIBS=OFF -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE} -DENABLE_OPENMP=OFF -DENABLE_LCMS=OFF
        BUILD_COMMAND make raw
        BUILD_IN_SOURCE 1
        INSTALL_COMMAND "")
    include_directories(${CMAKE_BINARY_DIR}/packaging/android/3rdparty/libraw)
    set(LIBRAW_LIBRARIES ${CMAKE_BINARY_DIR}/packaging/android/3rdparty/libraw/libraw.a)
    set(LibRaw_FOUND true)
else()
    find_package(LibRaw)
endif()
MACRO_BOOL_TO_01(LibRaw_FOUND HAVE_LIBRAW)
set_package_properties(LibRaw PROPERTIES DESCRIPTION "Library for reading RAW files" URL "https://www.libraw.org/" TYPE OPTIONAL PURPOSE "Support for reading and displaying RAW files in KStars.")

## WCS Library
find_package(WCSLIB)
MACRO_BOOL_TO_01(WCSLIB_FOUND HAVE_WCSLIB)
set_package_properties(WCSLIB PROPERTIES DESCRIPTION "World Coordinate System library" URL "https://www.atnf.csiro.au/people/mcalabre/WCS" TYPE OPTIONAL PURPOSE "WCS enables KStars to read and process world coordinate systems in FITS header.")

## XPlanet
find_package(Xplanet)

=== Tests/CMakeLists.txt ===
include_directories(
    ${kstars_SOURCE_DIR}/kstars/tools
    ${kstars_SOURCE_DIR}/kstars/skyobjects
    ${kstars_SOURCE_DIR}/kstars/skycomponents
    ${kstars_SOURCE_DIR}/kstars/auxiliary
    ${kstars_SOURCE_DIR}/kstars/time
    ${kstars_SOURCE_DIR}/kstars/catalogsdb
    ${kstars_SOURCE_DIR}/datahandlers
    )

if(STELLARSOLVER_FOUND)
include_directories(${STELLARSOLVER_INCLUDE_DIR})
endif(STELLARSOLVER_FOUND)

if(WCSLIB_FOUND)
  include_directories( ${WCSLIB_INCLUDE_DIR} )
endif(WCSLIB_FOUND)

FIND_PACKAGE(Qt5Test REQUIRED)

SET( TEST_LIBRARIES
        Qt5::Core
        Qt5::Test
        LibKSDataHandlers
        htmesh
        ${ZLIB_LIBRARIES}
        KStarsLib
)

SET( TEST_KSLITE_LIBRARIES
        Qt5::Core
        Qt5::Test
        LibKSDataHandlers
        htmesh
        ${ZLIB_LIBRARIES}
        KStarsLiteLib
)

add_subdirectory(auxiliary)
add_subdirectory(tools)
add_subdirectory(skyobjects)

IF (CFITSIO_FOUND)
    add_subdirectory(fitsviewer)
IF (INDI_FOUND)
include_directories(
    ${INDI_INCLUDE_DIR}
    ${kstars_SOURCE_DIR}/kstars/ekos/align
    ${kstars_SOURCE_DIR}/kstars/internalguide
    ${kstars_SOURCE_DIR}/kstars/focus
    ${kstars_SOURCE_DIR}/kstars/scheduler
    )
add_subdirectory(scheduler)
add_subdirectory(focus)
add_subdirectory(polaralign)
add_subdirectory(ekos)
# FIXME
# Disable this test for Windows since it fails for now
if (NOT WIN32)
add_subdirectory(internalguide)
endif(NOT WIN32)
ENDIF(INDI_FOUND)
ENDIF(CFITSIO_FOUND)

if(STELLARSOLVER_FOUND)
    include_directories(${STELLARSOLVER_INCLUDE_DIR})
endif(STELLARSOLVER_FOUND)

IF (UNIX AND NOT APPLE AND CFITSIO_FOUND)
    IF (BUILD_KSTARS_LITE)
        add_subdirectory(kstars_lite_ui)
    ENDIF ()
    add_subdirectory(kstars_ui)
ENDIF ()

add_subdirectory(capture)
add_subdirectory(datahandlers)

=== kstars/CMakeLists.txt ===
if(NOT APPLE) #This is not needed on MacOS, since the data directory and icons are now installed to the app bundle first using the code at the bottom
    add_subdirectory( data )
    add_subdirectory( icons )
endif(NOT APPLE)

add_subdirectory( htmesh )

if (ANDROID AND CMAKE_TOOLCHAIN_FILE)
    include(${CMAKE_TOOLCHAIN_FILE})
endif ()

if (NOT ANDROID)
    find_package(ZLIB REQUIRED)
    include_directories(${ZLIB_INCLUDE_DIR})
    find_package(Threads REQUIRED)
endif ()

if(MSVC)
    add_definitions(-D_USE_MATH_DEFINES=1)
    add_definitions(-DNOMINMAX)
endif()

include_directories(
    ${kstars_SOURCE_DIR}/kstars
    ${kstars_SOURCE_DIR}/kstars/skyobjects
    ${kstars_SOURCE_DIR}/kstars/skycomponents
    ${kstars_SOURCE_DIR}/kstars/auxiliary
    ${kstars_SOURCE_DIR}/kstars/time
    ${kstars_SOURCE_DIR}/kstars/tools
    ${kstars_SOURCE_DIR}/kstars/catalogsdb
    ${kstars_SOURCE_DIR}/kstars/polyfills
    )

if (INDI_FOUND)
    if(BUILD_KSTARS_LITE)
            set (fits_klite_SRCS
                fitsviewer/fitsdata.cpp
                )
            set (fits2_klite_SRCS
                fitsviewer/bayer.c
                fitsviewer/fpack.c
                fitsviewer/fpackutil.c
                )
                include_directories(${CFITSIO_INCLUDE_DIR})
                include_directories(${NOVA_INCLUDE_DIR})

            set (indi_klite_SRCS
                indi/clientmanagerlite.cpp
                indi/inditelescopelite.cpp
                kstarslite/skyitems/skynodes/crosshairnode.cpp
                kstarslite/skyitems/telescopesymbolsitem.cpp
            )
    endif ()

    set(indiui_SRCS
        indi/streamform.ui
        indi/drivermanager.ui
        indi/opsindi.ui
        indi/indihostconf.ui
        indi/customdrivers.ui
        #indi/telescopewizard.ui
    )

    set(indi_SRCS
        indi/drivermanager.cpp
        indi/servermanager.cpp
        indi/clientmanager.cpp
        indi/blobmanager.cpp
        indi/guimanager.cpp
        indi/driverinfo.cpp
        indi/deviceinfo.cpp
        indi/indidevice.cpp
        indi/indigroup.cpp
        indi/indiproperty.cpp
        indi/indielement.cpp
        indi/indistd.cpp
        indi/indilistener.cpp
        indi/inditelescope.cpp
        indi/indiccd.cpp
        indi/wsmedia.cpp
        indi/indifocuser.cpp
        indi/indifilter.cpp
        indi/indidome.cpp
        indi/indiweather.cpp
        indi/indicap.cpp
        indi/indilightbox.cpp
        indi/indidbus.cpp
        indi/opsindi.cpp
        #indi/telescopewizardprocess.cpp
        indi/streamwg.cpp
        indi/videowg.cpp
        indi/indiwebmanager.cpp
        indi/customdrivers.cpp
    )

    if (CFITSIO_FOUND)
        set(ekosui_SRCS
            ekos/opsekos.ui
            ekos/manager.ui
            ekos/manager/focusmanager.ui
            ekos/manager/guidemanager.ui
            ekos/profileeditor.ui
            ekos/profilewizard.ui
            # Analyze
            ekos/analyze/analyze.ui
            # Scheduler
            ekos/scheduler/scheduler.ui
            ekos/scheduler/mosaic.ui
            # Capture
            ekos/capture/capture.ui
            ekos/capture/calibrationoptions.ui
            ekos/capture/capturepreviewwidget.ui
            ekos/capture/capturecountswidget.ui
            ekos/capture/captureprocessoverlay.ui
            ekos/capture/dslrinfo.ui
            ekos/capture/rotatorsettings.ui
            ekos/capture/customproperties.ui
            ekos/capture/scriptsmanager.ui
            # Align
            ekos/align/align.ui
            ekos/align/opsastrometry.ui
            ekos/align/opsprograms.ui
            ekos/align/opsalign.ui
            #ekos/align/opsastrometrycfg.ui
            ekos/align/opsastrometryindexfiles.ui
            ekos/align/manualrotator.ui
            ekos/align/mountmodel.ui
            ekos/align/polaralignmentassistant.ui
            #ekos/align/opsastap.ui
            # Focus
            ekos/focus/focus.ui
            # Mount
            ekos/mount/mount.ui
            # Guide
            ekos/guide/guide.ui
            ekos/guide/guidestatewidget.ui
            ekos/guide/opscalibration.ui
            ekos/guide/opsguide.ui
            ekos/guide/opsdither.ui
            ekos/guide/opsgpg.ui
            ekos/guide/manualdither.ui
            ekos/observatory/observatory.ui
            #TODO remove from GIT
            #ekos/guide/guider.ui
            #ekos/guide/rcalibration.ui
            # Auxiliary
            ekos/auxiliary/filtersettings.ui
            ekos/auxiliary/opslogs.ui
            ekos/auxiliary/serialportassistant.ui
            ekos/auxiliary/stellarsolverprofileeditor.ui
            ekos/auxiliary/darklibrary.ui
            # Ekos Live
            ekos/ekoslive/ekoslivedialog.ui
            # INDI Hub
            ekos/indihub.ui
        )

        set(ekos_SRCS
            ekos/ekos.cpp
            ekos/manager.cpp
            ekos/manager/focusmanager.cpp
            ekos/manager/guidemanager.cpp
            ekos/profileeditor.cpp
            ekos/profilewizard.cpp
            ekos/qMDNS.cpp
            ekos/opsekos.cpp

            # Auxiliary
            ekos/auxiliary/dome.cpp
            ekos/auxiliary/weather.cpp
            ekos/auxiliary/dustcap.cpp
            ekos/auxiliary/darklibrary.cpp
            ekos/auxiliary/darkprocessor.cpp
            ekos/auxiliary/darkview.cpp
            ekos/auxiliary/defectmap.cpp
            ekos/auxiliary/filtermanager.cpp
            ekos/auxiliary/filterdelegate.cpp
            ekos/auxiliary/opslogs.cpp
            ekos/auxiliary/stellarsolverprofileeditor.cpp
            ekos/auxiliary/stellarsolverprofile.cpp
            ekos/auxiliary/serialportassistant.cpp
            ekos/auxiliary/portselector.cpp

            # Capture
            ekos/capture/capture.cpp
            ekos/capture/capturecommandprocessor.cpp
            ekos/capture/capturepreviewwidget.cpp
            ekos/capture/capturecountswidget.cpp
            ekos/capture/captureprocessoverlay.cpp
            ekos/capture/sequencejob.cpp
            ekos/capture/sequencejobstate.cpp
            ekos/capture/dslrinfodialog.cpp
            ekos/capture/rotatorsettings.cpp
            ekos/capture/customproperties.cpp
            ekos/capture/scriptsmanager.cpp
            ekos/capture/placeholderpath.cpp

            # Analyze
            ekos/analyze/analyze.cpp

            # Scheduler
            ekos/scheduler/schedulerjob.cpp
            ekos/scheduler/scheduler.cpp
            ekos/scheduler/mosaic.cpp
            ekos/scheduler/mosaictilesmanager.cpp

            # Focus
            ekos/focus/focus.cpp
            ekos/focus/focushfrvplot.cpp
            ekos/focus/focusprofileplot.cpp
            ekos/focus/focusalgorithms.cpp
            ekos/focus/polynomialfit.cpp
            ekos/focus/focusstars.cpp

            # Mount
            ekos/mount/mount.cpp

            # Align
            ekos/align/align.cpp
            ekos/align/alignview.cpp
            ekos/align/astrometryparser.cpp
            ekos/align/opsastrometry.cpp
            ekos/align/opsalign.cpp
            ekos/align/opsprograms.cpp
            ekos/align/opsastrometryindexfiles.cpp
            ekos/align/remoteastrometryparser.cpp
            ekos/align/poleaxis.cpp
            ekos/align/polaralign.cpp
            ekos/align/rotations.cpp
            ekos/align/mountmodel.cpp
            ekos/align/polaralignmentassistant.cpp
            ekos/align/manualrotator.cpp


            # Guide
            ekos/guide/guide.cpp
            ekos/guide/guidestatewidget.cpp
            ekos/guide/guideinterface.cpp
            ekos/guide/opscalibration.cpp
            ekos/guide/opsguide.cpp
            ekos/guide/opsdither.cpp
            ekos/guide/opsgpg.cpp
            ekos/guide/guidedriftgraph.cpp
            ekos/guide/guidetargetplot.cpp
            # Internal Guide
            ekos/guide/internalguide/gmath.cpp
            ekos/guide/internalguide/guidealgorithms.cpp
            ekos/guide/internalguide/calibrationprocess.cpp
            ekos/guide/internalguide/internalguider.cpp
            #ekos/guide/internalguide/guider.cpp
            ekos/guide/internalguide/matr.cpp
            #ekos/guide/internalguide/rcalibration.cpp
            ekos/guide/internalguide/vect.cpp
            ekos/guide/internalguide/imageautoguiding.cpp
            ekos/guide/internalguide/guidelog.cpp
            ekos/guide/internalguide/starcorrespondence.cpp
            ekos/guide/internalguide/gpg.cpp
            ekos/guide/internalguide/calibration.cpp
            ekos/guide/internalguide/guidestars.cpp
            ekos/guide/guideview.cpp
            # External Guide
            ekos/guide/externalguide/phd2.cpp
            ekos/guide/externalguide/linguider.cpp

            #Observatory
            ekos/observatory/observatory.cpp
            ekos/observatory/observatorymodel.cpp
            ekos/observatory/observatorydomemodel.cpp
            ekos/observatory/observatoryweathermodel.cpp

            # Ekos Live
            ekos/ekoslive/ekosliveclient.cpp
            ekos/ekoslive/message.cpp
            ekos/ekoslive/media.cpp
            ekos/ekoslive/cloud.cpp
        )

    endif(CFITSIO_FOUND)

    include_directories(${INDI_INCLUDE_DIR})
endif (INDI_FOUND)

if (CFITSIO_FOUND)
  set (gpg_SRCS
        ekos/guide/internalguide/MPI_IS_gaussian_process/src/math_tools.cpp
        ekos/guide/internalguide/MPI_IS_gaussian_process/src/covariance_functions.cpp
        ekos/guide/internalguide/MPI_IS_gaussian_process/src/gaussian_process.cpp
        ekos/guide/internalguide/MPI_IS_gaussian_process/src/gaussian_process_guider.cpp
        )
    set (sep_SRCS
        fitsviewer/sep/analyse.c
        fitsviewer/sep/aperture.c
        fitsviewer/sep/background.c
        fitsviewer/sep/convolve.c
        fitsviewer/sep/deblend.c
        fitsviewer/sep/extract.c
        fitsviewer/sep/lutz.c
        fitsviewer/sep/util.c
        )

    set (hough_SRCS
        fitsviewer/hough/houghline.cpp
        )

    set (fits_SRCS
        fitsviewer/fitslabel.cpp
        fitsviewer/fitsviewer.cpp
        fitsviewer/stretch.cpp
        fitsviewer/fitstab.cpp
        fitsviewer/fitsdebayer.cpp
        fitsviewer/opsfits.cpp
        )

    if (Qt5DataVisualization_FOUND)
        set(fits_SRCS ${fits_SRCS} fitsviewer/starprofileviewer.cpp)
    endif()

    set (fits2_SRCS
        fitsviewer/bayer.c
        fitsviewer/fpack.c
        fitsviewer/fpackutil.c
        fitsviewer/fitshistogrameditor.cpp
        fitsviewer/fitshistogramview.cpp
        fitsviewer/fitshistogramcommand.cpp
        fitsviewer/fitsview.cpp
        fitsviewer/summaryfitsview.cpp
        fitsviewer/fitsdata.cpp
        fitsviewer/fitsstardetector.cpp
        fitsviewer/fitsthresholddetector.cpp
        fitsviewer/fitsgradientdetector.cpp
        fitsviewer/fitscentroiddetector.cpp
        fitsviewer/fitssepdetector.cpp
        fitsviewer/fitsbahtinovdetector.cpp
        fitsviewer/fitsskyobject.cpp
        )
    set (fitsui_SRCS
        fitsviewer/fitsheaderdialog.ui
        fitsviewer/statform.ui
        fitsviewer/fitsdebayer.ui
        indi/streamform.ui
        indi/recordingoptions.ui
        fitsviewer/fitshistogramui.ui
        fitsviewer/opsfits.ui
        )
    include_directories(${CFITSIO_INCLUDE_DIR})

endif(CFITSIO_FOUND)

IF (CFITSIO_FOUND)
    IF (("${CMAKE_CXX_COMPILER_ID}" STREQUAL "AppleClang" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang"))
        IF (SANITIZERS)
            SET_SOURCE_FILES_PROPERTIES(fitsviewer/bayer.c PROPERTIES COMPILE_FLAGS "-Wno-cast-align -fno-sanitize=address,undefined -fomit-frame-pointer")
            SET_SOURCE_FILES_PROPERTIES(fitsviewer/fitsdata.cpp PROPERTIES COMPILE_FLAGS "-fno-sanitize=address,undefined -fomit-frame-pointer")
            SET_SOURCE_FILES_PROPERTIES(fitsviewer/fitshistogram.cpp PROPERTIES COMPILE_FLAGS "-fno-sanitize=address,undefined -fomit-frame-pointer")

=== Tests/kstars_ui/CMakeLists.txt ===

SET(KSTARS_UI_TESTS_SRC
    kstars_ui_tests.cpp
    test_kstars_startup.cpp)

include_directories(${CFITSIO_INCLUDE_DIR})

ECM_ADD_APP_ICON(KSTARS_UI_TESTS_SRC ICONS
        ../../kstars/icons/16-apps-kstars.png
        ../../kstars/icons/32-apps-kstars.png
        ../../kstars/icons/48-apps-kstars.png
        ../../kstars/icons/64-apps-kstars.png
        ../../kstars/icons/128-apps-kstars.png
        )

QT5_ADD_RESOURCES(KSTARS_UI_TESTS_SRC ../../kstars/data/kstars.qrc)

ecm_qt_declare_logging_category(KSTARS_UI_TESTS_SRC HEADER test_ekos_debug.h IDENTIFIER KSTARS_EKOS_TEST CATEGORY_NAME org.kde.kstars.ekos.test)

IF (INDI_FOUND)

INCLUDE_DIRECTORIES(${INDI_INCLUDE_DIR})
SET(KSTARS_UI_EKOS_SRC ${KSTARS_UI_TESTS_SRC} test_ekos_wizard.cpp)
SET(KSTARS_UI_EKOS_LIBS ${TEST_LIBRARIES} ${CFITSIO_LIBRARIES} ${INDI_CLIENT_LIBRARIES} ${NOVA_LIBRARIES} z)

SET(KSTARS_UI_MOCK_SRC mockmodules.cpp)
qt5_add_dbus_adaptor(KSTARS_UI_MOCK_SRC org.kde.kstars.MockEkos.MockFocus.xml mockmodules.h Ekos::MockFocus)
qt5_add_dbus_adaptor(KSTARS_UI_MOCK_SRC org.kde.kstars.MockEkos.MockMount.xml mockmodules.h Ekos::MockMount)
qt5_add_dbus_adaptor(KSTARS_UI_MOCK_SRC org.kde.kstars.MockEkos.MockCapture.xml mockmodules.h Ekos::MockCapture)
qt5_add_dbus_adaptor(KSTARS_UI_MOCK_SRC org.kde.kstars.MockEkos.MockAlign.xml mockmodules.h Ekos::MockAlign)
qt5_add_dbus_adaptor(KSTARS_UI_MOCK_SRC org.kde.kstars.MockEkos.MockGuide.xml mockmodules.h Ekos::MockGuide)
qt5_add_dbus_adaptor(KSTARS_UI_MOCK_SRC org.kde.kstars.MockEkos.xml mockmodules.h Ekos::MockEkos)

# FIXME: this particular test crashes when done on the EGLFS platform
# Disabling until we find the reason, other tests do cover this scenario

# ADD_EXECUTABLE(test_ekos ${KSTARS_UI_EKOS_SRC} test_ekos.cpp)
# TARGET_LINK_LIBRARIES(test_ekos ${KSTARS_UI_EKOS_LIBS})
# ADD_TEST(NAME TestEkosProfiles COMMAND test_ekos)
# SET_TESTS_PROPERTIES( TestEkosProfiles PROPERTIES LABELS "stable;ui")

ADD_EXECUTABLE(test_ekos_simulator ${KSTARS_UI_EKOS_SRC} test_ekos_simulator.cpp)
TARGET_LINK_LIBRARIES(test_ekos_simulator ${KSTARS_UI_EKOS_LIBS})
ADD_TEST(NAME TestEkosSimulator COMMAND test_ekos_simulator)
# SET_TESTS_PROPERTIES( TestEkosSimulator PROPERTIES LABELS "stable;ui")

ADD_EXECUTABLE(test_ekos_focus ${KSTARS_UI_EKOS_SRC} test_ekos_focus.cpp)
TARGET_LINK_LIBRARIES(test_ekos_focus ${KSTARS_UI_EKOS_LIBS})
ADD_TEST(NAME TestEkosFocus COMMAND test_ekos_focus)
# SET_TESTS_PROPERTIES( TestEkosFocus PROPERTIES LABELS "stable;ui")

ADD_EXECUTABLE(test_ekos_capture ${KSTARS_UI_EKOS_SRC} test_ekos_capture.cpp)
TARGET_LINK_LIBRARIES(test_ekos_capture ${KSTARS_UI_EKOS_LIBS})
ADD_TEST(NAME TestEkosCapture COMMAND test_ekos_capture)
SET_TESTS_PROPERTIES( TestEkosCapture PROPERTIES LABELS "stable;ui" )

ADD_EXECUTABLE(test_ekos_filterwheel ${KSTARS_UI_EKOS_SRC} test_ekos_filterwheel.cpp)
TARGET_LINK_LIBRARIES(test_ekos_filterwheel ${KSTARS_UI_EKOS_LIBS})
ADD_TEST(NAME TestEkosFilterWheel COMMAND test_ekos_filterwheel)
SET_TESTS_PROPERTIES( TestEkosFilterWheel PROPERTIES LABELS "stable;ui" )

ADD_EXECUTABLE(test_ekos_capture_count ${KSTARS_UI_EKOS_SRC} test_ekos_helper.cpp test_ekos_capture_helper.cpp test_ekos_capture_count.cpp)
TARGET_LINK_LIBRARIES(test_ekos_capture_count ${KSTARS_UI_EKOS_LIBS})
ADD_TEST(NAME TestEkosCaptureCount COMMAND test_ekos_capture_count)
#SET_TESTS_PROPERTIES( TestEkosCaptureCount PROPERTIES LABELS "stable;ui" TIMEOUT 1200 )

ADD_EXECUTABLE(test_ekos_capture_workflow ${KSTARS_UI_EKOS_SRC} test_ekos_helper.cpp test_ekos_capture_helper.cpp test_ekos_capture_workflow.cpp)
TARGET_LINK_LIBRARIES(test_ekos_capture_workflow ${KSTARS_UI_EKOS_LIBS})

ADD_EXECUTABLE(test_ekos_align ${KSTARS_UI_EKOS_SRC} test_ekos_helper.cpp test_ekos_scheduler_helper.cpp test_ekos_align.cpp)
TARGET_LINK_LIBRARIES(test_ekos_align ${KSTARS_UI_EKOS_LIBS})
ADD_CUSTOM_COMMAND( TARGET test_ekos_align POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy
            ${CMAKE_CURRENT_SOURCE_DIR}/Kocab.fits
            ${CMAKE_CURRENT_BINARY_DIR}/Kocab.fits)

# excluded to avoid CI timelimit failure
# ADD_TEST(NAME TestEkosAlign COMMAND test_ekos_align)
# SET_TESTS_PROPERTIES( TestEkosAlign PROPERTIES LABELS "unstable;ui" TIMEOUT 600 )

ADD_EXECUTABLE(test_ekos_meridianflip ${KSTARS_UI_EKOS_SRC} test_ekos_helper.cpp test_ekos_capture_helper.cpp test_ekos_meridianflip_base.cpp test_ekos_meridianflip.cpp)
TARGET_LINK_LIBRARIES(test_ekos_meridianflip ${KSTARS_UI_EKOS_LIBS})
# excluded to avoid CI timelimit failure
# ADD_TEST(NAME TestEkosMeridianFlip COMMAND test_ekos_meridianflip)
# SET_TESTS_PROPERTIES( TestEkosMeridianFlip PROPERTIES LABELS "astrometry;ui" )
ADD_CUSTOM_COMMAND( TARGET test_ekos_meridianflip POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy
            ${CMAKE_CURRENT_SOURCE_DIR}/phd2_Simulators_mf.PHDGuidingV2
            ${CMAKE_CURRENT_BINARY_DIR}/.PHDGuidingV2_mf)

ADD_EXECUTABLE(test_ekos_meridianflip_specials ${KSTARS_UI_EKOS_SRC} test_ekos_helper.cpp test_ekos_capture_helper.cpp test_ekos_meridianflip_base.cpp test_ekos_meridianflip_specials.cpp)
TARGET_LINK_LIBRARIES(test_ekos_meridianflip_specials ${KSTARS_UI_EKOS_LIBS})
ADD_CUSTOM_COMMAND( TARGET test_ekos_meridianflip_specials POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy
            ${CMAKE_CURRENT_SOURCE_DIR}/phd2_Simulators_mf.PHDGuidingV2
            ${CMAKE_CURRENT_BINARY_DIR}/.PHDGuidingV2_mf)
# excluded to avoid CI timelimit failure
# ADD_TEST(NAME TestEkosMeridianFlipSpecials COMMAND test_ekos_meridianflip_specials)
# SET_TESTS_PROPERTIES( TestEkosMeridianFlipSpecials PROPERTIES LABELS "unstable;ui" TIMEOUT 600 )

ADD_EXECUTABLE(test_ekos_scheduler ${KSTARS_UI_EKOS_SRC} test_ekos_scheduler.cpp)
TARGET_LINK_LIBRARIES(test_ekos_scheduler ${KSTARS_UI_EKOS_LIBS})
ADD_CUSTOM_COMMAND( TARGET test_ekos_scheduler POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy
            ${CMAKE_CURRENT_SOURCE_DIR}/../scheduler/1x1s_Lum.esq
            ${CMAKE_CURRENT_BINARY_DIR}/1x1s_Lum.esq)
ADD_CUSTOM_COMMAND( TARGET test_ekos_scheduler POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy
            ${CMAKE_CURRENT_SOURCE_DIR}/../scheduler/1x1s_RGBLumRGB.esq
            ${CMAKE_CURRENT_BINARY_DIR}/1x1s_RGBLumRGB.esq)
ADD_TEST(NAME TestEkosScheduler COMMAND test_ekos_scheduler)
SET_TESTS_PROPERTIES( TestEkosScheduler PROPERTIES LABELS "stable;ui" TIMEOUT 120 )

ADD_EXECUTABLE(test_ekos_scheduler_ops ${KSTARS_UI_EKOS_SRC} ${KSTARS_UI_MOCK_SRC} test_ekos_scheduler_helper.cpp test_ekos_scheduler_ops.cpp)
TARGET_LINK_LIBRARIES(test_ekos_scheduler_ops ${KSTARS_UI_EKOS_LIBS})
ADD_CUSTOM_COMMAND( TARGET test_ekos_scheduler_ops POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy
            ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.kstars.MockEkos.xml
            ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.kstars.MockEkos.MockAlign.xml
            ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.kstars.MockEkos.MockCapture.xml
            ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.kstars.MockEkos.MockFocus.xml
            ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.kstars.MockEkos.MockGuide.xml
            ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.kstars.MockEkos.MockMount.xml
            ${CMAKE_CURRENT_BINARY_DIR})

ADD_TEST(NAME TestEkosSchedulerOps COMMAND test_ekos_scheduler_ops)
SET_TESTS_PROPERTIES( TestEkosSchedulerOps PROPERTIES LABELS "unstable;ui" TIMEOUT 120 )

ADD_EXECUTABLE(test_artificial_horizon ${KSTARS_UI_EKOS_SRC} test_artificial_horizon.cpp)
TARGET_LINK_LIBRARIES(test_artificial_horizon ${KSTARS_UI_EKOS_LIBS})
ADD_TEST(NAME TestArtificialHorizon COMMAND test_artificial_horizon)

# JM 2021-10.16 PHD2 test often fails in CI so it is excluded now until it is fixed.
#ADD_EXECUTABLE(test_ekos_guide ${KSTARS_UI_EKOS_SRC} test_ekos_guide.cpp)
#TARGET_LINK_LIBRARIES(test_ekos_guide ${KSTARS_UI_EKOS_LIBS})
#ADD_CUSTOM_COMMAND( TARGET test_ekos_guide POST_BUILD
    #COMMAND ${CMAKE_COMMAND} -E copy
            #${CMAKE_CURRENT_SOURCE_DIR}/phd2_Simulators.PHDGuidingV2
            #${CMAKE_CURRENT_BINARY_DIR}/.PHDGuidingV2)
#ADD_TEST(NAME TestEkosGuide COMMAND test_ekos_guide)
#SET_TESTS_PROPERTIES( TestEkosGuide PROPERTIES LABELS "unstable;ui" TIMEOUT 600 )

ADD_EXECUTABLE(test_ekos_mount ${KSTARS_UI_EKOS_SRC} test_ekos_mount.cpp)
TARGET_LINK_LIBRARIES(test_ekos_mount ${KSTARS_UI_EKOS_LIBS})
ADD_TEST(NAME TestEkosMount COMMAND test_ekos_mount)
SET_TESTS_PROPERTIES( TestEkosMount PROPERTIES LABELS "no-xvfb;ui" TIMEOUT 600 )

ADD_EXECUTABLE(test_catalog_download ${KSTARS_UI_EKOS_SRC} test_catalog_download.cpp)
TARGET_LINK_LIBRARIES(test_catalog_download ${KSTARS_UI_EKOS_LIBS})
ADD_TEST(NAME TestCatalogDownload COMMAND test_catalog_download)
SET_TESTS_PROPERTIES( TestCatalogDownload PROPERTIES LABELS "stable;ui" TIMEOUT 600 )

ELSE ()

# JM 2010-10-15: Disable this test due to issues in CI
#ADD_EXECUTABLE(test_kstars_ui ${KSTARS_UI_TESTS_SRC})
#TARGET_LINK_LIBRARIES(test_kstars_ui ${TEST_LIBRARIES})
#ADD_TEST(NAME TestKstarsUI COMMAND test_kstars_ui)

ENDIF ()

=== Tests/skyobjects/CMakeLists.txt ===
if (NOVA_FOUND)
ADD_EXECUTABLE( test_skypoint test_skypoint.cpp )
TARGET_LINK_LIBRARIES( test_skypoint ${TEST_LIBRARIES})
ADD_TEST( NAME TestSkyPoint COMMAND test_skypoint )
endif()

ADD_EXECUTABLE( test_starobject test_starobject.cpp )
TARGET_LINK_LIBRARIES( test_starobject ${TEST_LIBRARIES} )
if (TARGET ERFA::ERFA)
    TARGET_LINK_LIBRARIES( test_starobject ERFA::ERFA )
endif()
ADD_TEST( NAME TestStarobject COMMAND test_starobject )

=== kstars/data/CMakeLists.txt ===

########### install files ###############
if(APPLE)
    set(KSTARS_DATADIR "${BUNDLED_DATA_LOCATION}")
else(APPLE)
	set(KSTARS_DATADIR "${KDE_INSTALL_DATADIR}")
endif(APPLE)

install(FILES
    kstars.png
    geomap.png
    citydb.sqlite
    skycultures/skycultures.sqlite
    stars.dat
    starnames.dat namedstars.dat unnamedstars.dat
    Henry-Draper.idx
    starlnum.idx
    clines.dat
    cnames.dat
    milkyway.dat
    lmc.dat
    smc.dat
    cbounds.dat
    cbounds-3.idx  cbounds-4.idx  cbounds-5.idx  cbounds-6.idx
    image_url.dat info_url.dat
    moonB.dat moonLR.dat
    mercury.orbit venus.orbit earth.orbit mars.orbit jupiter.orbit
    saturn.orbit uranus.orbit neptune.orbit pluto.orbit
    asteroids.dat comets.dat cometels.json.gz wzserialportassistant.png
    wzstars.png wzgeo.png wzscope.png wzdownload.png wzekos.png ekoslive.png
    chart.colors classic.colors moonless-night.colors night.colors
    tips TZrules.dat Interesting.dat PlanetFacts.dat indidrivers.xml
    advinterface.dat catalog.min.json satellites.dat glossary.xml defaultflag.gif
    OpenNGC.kscat
    DESTINATION ${KSTARS_DATADIR}/kstars
)

file(GLOB vsop87_files vsop87/*)
install( FILES ${vsop87_files} DESTINATION ${KSTARS_DATADIR}/kstars)

# N.B. On Windows, the sound files do not exist at all.
# On Linux, it will overwrite the Oxygen-* files.
file(GLOB sound_files sounds/*)
install( FILES ${sound_files} DESTINATION ${KSTARS_DATADIR}/sounds )

file(GLOB scheme_files themes/*)
install( FILES ${scheme_files} DESTINATION ${KSTARS_DATADIR}/kstars/themes )

install(FILES
    textures/star.png
    textures/galaxy.png
    textures/open-cluster.png
    textures/globular-cluster.png
    textures/galaxy-cluster.png
    textures/gaseous-nebula.png
    textures/planetary-nebula.png
    textures/obslistsymbol.png
    textures/sun.png
    textures/mercury.png
    textures/venus.png
    textures/mars.png
    textures/jupiter.png
    textures/saturn.png
    textures/uranus.png
    textures/neptune.png
    textures/pluto.png
    textures/moon00.png
    textures/moon01.png
    textures/moon02.png
    textures/moon03.png
    textures/moon04.png
    textures/moon05.png
    textures/moon06.png
    textures/moon07.png
    textures/moon08.png
    textures/moon09.png
    textures/moon10.png
    textures/moon11.png
    textures/moon12.png
    textures/moon13.png
    textures/moon14.png
    textures/moon15.png
    textures/moon16.png
    textures/moon17.png
    textures/moon18.png
    textures/moon19.png
    textures/moon20.png
    textures/moon21.png
    textures/moon22.png
    textures/moon23.png
    textures/moon24.png
    textures/moon25.png
    textures/moon26.png
    textures/moon27.png
    textures/moon28.png
    textures/moon29.png
    textures/moon30.png
    textures/moon31.png
    textures/moon32.png
    textures/moon33.png
    textures/moon34.png
    textures/moon35.png
    textures/defaultflag.png
    DESTINATION ${KSTARS_DATADIR}/kstars/textures
)

#install(FILES
#    scripts/supernova_updates_parser.py
#    DESTINATION ${KSTARS_DATADIR}/kstars/scripts
#)

install(FILES
    skycultures/western/andromeda.png
    skycultures/western/antlia.png
    skycultures/western/apus.png
    skycultures/western/aquarius.png
    skycultures/western/aquila.png
    skycultures/western/ara.png
    skycultures/western/argonavis.png
    skycultures/western/aries.png
    skycultures/western/auriga.png
    skycultures/western/bootes.png
    skycultures/western/caelum.png
    skycultures/western/camelopardalis.png
    skycultures/western/cancer.png
    skycultures/western/canes-venatici.png
    skycultures/western/canis-major.png
    skycultures/western/canis-minor.png
    skycultures/western/capricornus.png
    skycultures/western/cassiopeia.png
    skycultures/western/centaurus.png
    skycultures/western/cepheus.png
    skycultures/western/cetus.png
    skycultures/western/chamaeleon.png
    skycultures/western/circinus.png
    skycultures/western/columba.png
    skycultures/western/coma-berenices.png
    skycultures/western/corona-australis.png
    skycultures/western/corona-borealis.png
    skycultures/western/corvus.png
    skycultures/western/crater.png
    skycultures/western/crux.png
    skycultures/western/cygnus.png
    skycultures/western/delphinus.png
    skycultures/western/dorado.png
    skycultures/western/draco.png
    skycultures/western/equuleus.png
    skycultures/western/eridanus.png
    skycultures/western/fornax.png
    skycultures/western/gemini.png
    skycultures/western/grus.png
    skycultures/western/hercules.png
    skycultures/western/horlogium.png
    skycultures/western/hydra.png
    skycultures/western/hydrus.png
    skycultures/western/indus.png
    skycultures/western/lacerta.png
    skycultures/western/leo-minor.png
    skycultures/western/leo.png
    skycultures/western/lepus.png
    skycultures/western/libra.png
    skycultures/western/lupus.png
    skycultures/western/lynx.png
    skycultures/western/lyra.png
    skycultures/western/mensa.png
    skycultures/western/microscopium.png
    skycultures/western/monoceros.png
    skycultures/western/musca.png
    skycultures/western/norma.png
    skycultures/western/octans.png
    skycultures/western/ophiuchus.png
    skycultures/western/orion.png
    skycultures/western/pavo.png
    skycultures/western/pegasus.png
    skycultures/western/perseus.png
    skycultures/western/phoenix.png
    skycultures/western/pictor.png
    skycultures/western/pisces.png
    skycultures/western/piscis-austrinus.png
    skycultures/western/pyxis.png
    skycultures/western/reticulum.png
    skycultures/western/sagitta.png
    skycultures/western/sagittarius.png
    skycultures/western/scorpius.png
    skycultures/western/sculptor.png
    skycultures/western/scutum.png
    skycultures/western/sextans.png
    skycultures/western/taurus.png
    skycultures/western/telescopium.png
    skycultures/western/triangulum-australe.png
    skycultures/western/triangulum.png
    skycultures/western/tucana.png
    skycultures/western/ursa-major.png
    skycultures/western/ursa-minor.png
    skycultures/western/virgo.png
    skycultures/western/volans.png
    skycultures/western/vulpecula.png
    DESTINATION ${KSTARS_DATADIR}/kstars/skycultures/western
)

install(FILES
    skycultures/inuit/blubber-container.png
    skycultures/inuit/breastbone.png
    skycultures/inuit/caribou.png
    skycultures/inuit/collarbones.png
    skycultures/inuit/dogs.png
    skycultures/inuit/lamp-stand.png
    skycultures/inuit/runners.png
    skycultures/inuit/the-one-behind.png
    skycultures/inuit/two-in-front.png
    skycultures/inuit/two-placed-far-apart.png
    skycultures/inuit/two-sunbeams.png
    DESTINATION ${KSTARS_DATADIR}/kstars/skycultures/inuit
)

=== Tests/ekos/auxiliary/CMakeLists.txt ===
add_subdirectory(darkprocessor)

=== debian/changelog ===
kstars (5:3.5.7-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Tue, 18 Jan 2022 19:44:46 +0100

kstars (5:3.5.6-2) unstable; urgency=medium

  * Enable again the INDI support, now that StellarSolver is available in
    Debian:
    - uncomment the libindi-dev build dependency
    - add the libstellarsolver-dev build dependency
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * Stop executing the test suite at build time, as it is becoming more and more
    complex, unstable, and relying on an already installed kstars:
    - drop the liberfa-dev build dependency, needed only for some tests
    - pass -DBUILD_TESTING=OFF to cmake to not build it
    - disable the override_dh_auto_test target
    - drop the patches skip-skypoint-test.diff, and skip-installed-tests.diff,
      as they affect only the tests

 -- Pino Toscano <pino@debian.org>  Sun, 12 Dec 2021 19:43:05 +0100

kstars (5:3.5.6-1) unstable; urgency=medium

  * New upstream release.
  * Since it is a KDE application with its own release cadence, change the
    maintainer to:
    Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
  * CI: enable blhc again, as it should work fine now.

 -- Pino Toscano <pino@debian.org>  Sun, 14 Nov 2021 09:17:24 +0100

kstars (5:3.5.5-2) unstable; urgency=medium

  * Build using clang on mipsel, to workaround a GCC bug:
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=102602
    - add the clang build dependency
    - point CC & CXX to clang
    - restore explicit as-needed linking, as it seems needed when using clang

 -- Pino Toscano <pino@debian.org>  Mon, 11 Oct 2021 23:19:16 +0200

kstars (5:3.5.5-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_tests-do-not-pass-a-literal-string-as-format-string.patch: drop,
      backported from upstream
    - skip-fitsdata-test-i386.diff: drop, as it seems the problem was fixed
      in an earlier version
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
    - stop passing --fail-missing to dh_missing, as it is the default now
    - drop the check for nocheck in $DEB_BUILD_OPTIONS, as dh_auto_test is
      skipped automatically in that case
    - stop creating a local $HOME, and $TMPDIR for dh_auto_test: dh
      automatically creates $HOME, and the default $TMPDIR should be enough
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.10.0
    - bump Qt packages to 5.9.0
    - bump KF packages to 5.44.0
    - bump libindi-dev to 1.9.1
    - add liberfa-dev, needed by the test suite
  * Temporarily disable the INDI support (the libindi-dev build dependency),
    as it requires StellarSolver which is not available in Debian yet.
  * Drop the kde-l10n breaks/replaces, no more needed after two Debian stable
    releases.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Bump Standards-Version to 4.6.0, no changes required.
  * CI: disable the blhc job.
  * Disable the TestSkyPoint::testUpdateCoords() test for now, as it seems to
    fail; patch skip-skypoint-test.diff.
  * Disable the TestKSPaths::testKStarsInstallation() tests for now, as they
    check installed files; patch skip-installed-tests.diff.
  * Drop the breaks/replaces for versions older than Debian Buster.
  * Drop the removal of conffiles for versions older than Debian Buster.
  * Use the ${misc:Pre-Depends} substvar in kstars.
  * Miscellaneous changes to copyright.
  * debian/upstream/metadata: update, and improve.
  * Small no-op changes to the install files.

 -- Pino Toscano <pino@debian.org>  Tue, 21 Sep 2021 07:34:08 +0200

=== debian/control ===
Source: kstars
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.10.0~),
               clang [mipsel],
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.44.0~),
               gettext,
               kinit-dev (>= 5.44.0~),
               libcfitsio-dev (>= 3.040),
               libeigen3-dev (>> 2.0.3),
               libglu1-mesa-dev [!armhf],
               libgsl-dev,
               libindi-dev (>= 1.9.1~),
               libkf5auth-dev (>= 5.44.0~),
               libkf5config-dev (>= 5.44.0~),
               libkf5crash-dev (>= 5.44.0~),
               libkf5dbusaddons-dev (>= 5.44.0~),
               libkf5doctools-dev (>= 5.44.0~),
               libkf5guiaddons-dev (>= 5.44.0~),
               libkf5i18n-dev (>= 5.44.0~),
               libkf5iconthemes-dev (>= 5.44.0~),
               libkf5jobwidgets-dev (>= 5.44.0~),
               libkf5kio-dev (>= 5.44.0~),
               libkf5newstuff-dev (>= 5.44.0~),
               libkf5notifications-dev (>= 5.44.0~),
               libkf5notifyconfig-dev (>= 5.44.0~),
               libkf5plotting-dev (>= 5.44.0~),
               libkf5texteditor-dev (>= 5.44.0~),
               libkf5widgetsaddons-dev (>= 5.44.0~),
               libkf5windowsystem-dev (>= 5.44.0~),
               libkf5xmlgui-dev (>= 5.44.0~),
               libnova-dev,
               libqt5opengl5-dev (>= 5.9.0~),
               libqt5sql5-sqlite,
               libqt5svg5-dev (>= 5.9.0~),
               libqt5websockets5-dev (>= 5.9.0~),
               libraw-dev,
               libsecret-1-dev,
               libstellarsolver-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qt5keychain-dev,
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
               qtmultimedia5-dev (>= 5.9.0~),
               wcslib-dev,
               zlib1g-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://edu.kde.org/kstars/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kstars
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kstars.git

Package: kstars
Architecture: any
Section: science
Pre-Depends: ${misc:Pre-Depends}
Depends: kstars-data (= ${source:Version}),
         libqt5sql5-sqlite,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter, konqueror
Recommends: astrometry.net, indi-bin, xplanet
Description: desktop planetarium, observation planning and telescope control
 KStars is a scientifically accurate desktop planetarium, visualising a
 graphical simulation of the night sky from any location on Earth, at any date
 and time.
 The display includes 130,000 stars, 13,000 deep-sky objects, all 8 planets,
 the Sun and Moon, and thousands of comets and asteroids. KStars addresses
 students and amateur astronomers of all levels.
 .
 The database of known objects can be extended and updated from local or
 remote databases, which is prepared for in a user-extendable interface.
 KStars suggests observations of particular interest like conjunctions
 with respect to the location of the user. And for user-selected targets it
 proposes the ones that are best-observable.
 .
 The software may be used for planning experiments around the globe,
 e.g. for remote controlled commercial services. But KStars also
 features an INDI interface to control local telescopes and cameras.
 Users with programming experience can script it via the KDE desktop bus.

Package: kstars-data
Architecture: all
Section: science
Depends: qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends}
Description: data files for KStars desktop planetarium
 This package contains architecture-independent data files for KStars,
 the graphical desktop planetarium for KDE, including star catalogues and
 astronomical images.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

archs_using_clang = mipsel
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(archs_using_clang)))
export CC=clang
export CXX=clang++
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
endif

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

execute_after_dh_auto_install:
	# remove development stuff
	find debian/tmp -name '*.a' -delete

.PHONY: override_dh_auto_test

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/kstars/@PACKAGE@-([\d.]+)\.tar\.xz
